pipeline { 
    agent any
    parameters {
      string(name: 'name', defaultValue: 'hello')
    }

    options {
        skipStagesAfterUnstable()
    }
    stages {
        stage('Build') { 
            steps { 
                echo 'Build changed, Fuck !d' 
            }
        }
        stage('Test'){
            steps {
                script{
              
                def command = 'aws ec2 --profile terraform describe-instances --filters Name=tag:Name,Values=* --query Reservations[*].Instances[*].PrivateIpAddress --output text'
    def proc = command.execute()
           
    proc.waitFor()              
    def instances = proc.in.text.readLines()
    println "${instances}"
 
 
             
                }
            }
        }
        stage('Deploy') {
            steps {
                echo 'Deploy'
            }
        }
    }
}
